package gov.va.med.hac.edi.extract.feeclaimstatus.feeFinal;

import java.io.Serializable;
import java.sql.Date;

// import org.hibernate.annotations.Entity;

// import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
// import javax.persistence.Temporal;
// import javax.persistence.TemporalType;


/**
 * This class maps the stg_277 table properties for bulk
 * updating and editing
 * @author DNS   BLACKW
 *
 */

//TODO - REGENERATE hashCode, toString() etc. after datatypes are fleshed out
@Entity
public class Stage277 {

	@Id
	private String claimIndex;
	private String claimStatusCode;
	private String createdBy;
	private Date dateCreated;
	private String modifiedBy;
	private Date dateModified;		
	// is this automtically done by Oracle or set programatically? FIND OTHER INSTANCES IN PROJECTS
	
	
	public Stage277() {}

	// FULL CONSTRUCTOR
	public Stage277(String claimIndex, String claimStatusCode, String createdBy, Date dateCreated, String modifiedBy, Date dateModified) {
		this.claimIndex = claimIndex;
		this.claimStatusCode = claimStatusCode;
		this.createdBy = createdBy;
		this.dateCreated = dateCreated;
		this.modifiedBy = modifiedBy;
		this.dateModified = dateModified;
		
	}

	// dateModified MAY NOT BE NECESSARY.......
	public Stage277(String claimIndex, String claimStatusCode, String createdBy, Date dateCreated) {
		this.claimIndex = claimIndex;
		this.claimStatusCode = claimStatusCode;
		this.createdBy = createdBy;
		this.dateCreated = dateCreated;
	}
		
	public String getClaimStatusCode() {
		return claimStatusCode;
	}


	public void setClaimStatusCode(String claimStatusCode) {
		this.claimStatusCode = claimStatusCode;
	}


	public String getCreatedBy() {
		return createdBy;
	}


	public void setCreatedBy(String createdBy) {
		this.createdBy = createdBy;
	}


	public Date getDateCreated() {
		return dateCreated;
	}


	public void setDateCreated(Date dateCreated) {
		this.dateCreated = dateCreated;
	}


	public String getModifiedBy() {
		return modifiedBy;
	}


	public void setModifiedBy(String modifiedBy) {
		this.modifiedBy = modifiedBy;
	}


	public Date getDateModified() {
		return dateModified;
	}


	public void setDateModified(Date dateModified) {
		this.dateModified = dateModified;
	}
	
	public String getClaimIndex() {
		return claimIndex;
	}


	public void setClaimIndex(String claimIndex) {
		this.claimIndex = claimIndex;
	}

	@Override
	public String toString() {
		return "Stage277 [claimIndex=" + claimIndex + ", claimStatusCode="
				+ claimStatusCode + ", createdBy=" + createdBy
				+ ", dateCreated=" + dateCreated + ", modifiedBy=" + modifiedBy
				+ ", dateModified=" + dateModified + "]";
	}
	
	
	
	
}	// end Stage277
