package gov.va.med.hac.edi.utils.logutils.jpa;

import gov.va.med.domain.erepos.*;

public class NcpdpClaimLogger {

  NcpdpClaim ncpdpClaim;

  public NcpdpClaimLogger(NcpdpClaim inNcpdpClaim) {
    ncpdpClaim = inNcpdpClaim;
  }

  public static String getFieldNames() {
    return "FileNumber,"
         + "BatchKey,"
         + "PatientKey,"
         + "ClaimKey,"
         + "SegmentId,"
         + "RxSvcRefNumQual,"
         + "RxSvcRefNum,"
         + "ProductSvcIdQual,"
         + "ProductSvcId,"
         + "AsoRxSvcRefNum,"
         + "AsoRxSvcDate,"
         + "ProcModCdCount,"
         + "QuantityDispensed,"
         + "FillNumber,"
         + "DaysSupply,"
         + "CompoundCode,"
         + "DawPrdtSelCd,"
         + "DateRxWritten,"
         + "NoOfRefilsAuth,"
         + "RxOriginCd,"
         + "SubClftnCd,"
         + "QtyPrescribed,"
         + "OtCvgCd,"
         + "UnitDoseInd,"
         + "OrgPrsPrdSvcQl,"
         + "OrgPrsPrdSvcCd,"
         + "OrgPrsQty,"
         + "AlternateId,"
         + "SchRxIdNum,"
         + "UnitOfMeasure,"
         + "LevelOfService,"
         + "PriorAuthTypeCd,"
         + "PriorAuthNumSub,"
         + "IntmdyAuthTypeI,"
         + "ntmdyAuthId,"
         + "DispensingStatus,"
         + "QtyIntdTbDisp,"
         + "DaysSupIntdDisp,"
         + "ClaimType,"
         + "SenderId";
  }

  public String toString() {
	  if(ncpdpClaim == null) return "";
    return ncpdpClaim.getFileNumber() + ","
         + ncpdpClaim.getBatchKey() + ","
         + ncpdpClaim.getPatientKey() + ","
         + ncpdpClaim.getClaimKey() + ","
         + ncpdpClaim.getSegmentId() + ","
         + ncpdpClaim.getRxSvcRefNumQual() + ","
         + ncpdpClaim.getRxSvcRefNum() + ","
         + ncpdpClaim.getProductSvcIdQual() + ","
         + ncpdpClaim.getProductSvcId() + ","
         + ncpdpClaim.getAsoRxSvcRefNum() + ","
         + ncpdpClaim.getAsoRxSvcDate() + ","
         + ncpdpClaim.getProcModCdCount() + ","
         + ncpdpClaim.getQuantityDispensed() + ","
         + ncpdpClaim.getFillNumber() + ","
         + ncpdpClaim.getDaysSupply() + ","
         + ncpdpClaim.getCompoundCode() + ","
         + ncpdpClaim.getDawPrdtSelCd() + ","
         + ncpdpClaim.getDateRxWritten() + ","
         + ncpdpClaim.getNoOfRefilsAuth() + ","
         + ncpdpClaim.getRxOriginCd() + ","
//         + ncpdpClaim.getSubClftnCd() + ","
         + ncpdpClaim.getQtyPrescribed() + ","
         + ncpdpClaim.getOtCvgCd() + ","
         + ncpdpClaim.getUnitDoseInd() + ","
         + ncpdpClaim.getOrgPrsPrdSvcQl() + ","
         + ncpdpClaim.getOrgPrsPrdSvcCd() + ","
         + ncpdpClaim.getOrgPrsQty() + ","
         + ncpdpClaim.getAlternateId() + ","
         + ncpdpClaim.getSchRxIdNum() + ","
         + ncpdpClaim.getUnitOfMeasure() + ","
         + ncpdpClaim.getLevelOfService() + ","
         + ncpdpClaim.getPriorAuthTypeCd() + ","
         + ncpdpClaim.getPriorAuthNumSub() + ","
         + ncpdpClaim.getIntmdyAuthTypeI() + ","
         + ncpdpClaim.getIntmdyAuthId() + ","
         + ncpdpClaim.getDispensingStatus() + ","
         + ncpdpClaim.getQtyIntdTbDisp() + ","
         + ncpdpClaim.getDaysSupIntdDisp() + ","
         + ncpdpClaim.getClaimType() + ","
         + ncpdpClaim.getSenderId();
  }
}
