package gov.va.med.hac.edi.utils.logutils.jpa;

import gov.va.med.domain.erepos.*;

public class NcpdpPrescriberLogger {

  NcpdpPrescriber ncpdpPrescriber;

  public NcpdpPrescriberLogger(NcpdpPrescriber inNcpdpPrescriber) {
    ncpdpPrescriber = inNcpdpPrescriber;
  }

  public static String getFieldNames() {
    return " FileNumber,PrescriberKey,SegmentId,PrescriberIdQual,PrescriberLocCd,"
        + "PrescriberLastNm,PrescriberPhNum,PriCarePrvIdQl,PriCarePrvId,PriCarePrvLcCd,PriCarePrvLsNm";
  }

  public String toString() {
	  if(ncpdpPrescriber == null) return "";	
    return ncpdpPrescriber.getFileNumber() + ","
         + ncpdpPrescriber.getPrescriberKey() + ","
         + ncpdpPrescriber.getSegmentId() + ","
         + ncpdpPrescriber.getPrescriberIdQual() + ","
         + ncpdpPrescriber.getPrescriberId() + ","
         + ncpdpPrescriber.getPrescriberLocCd() + ","
         + ncpdpPrescriber.getPrescriberLastNm() + ","
         + ncpdpPrescriber.getPrescriberPhNum() + ","
         + ncpdpPrescriber.getPriCarePrvIdQl() + ","
         + ncpdpPrescriber.getPriCarePrvId() + ","
         + ncpdpPrescriber.getPriCarePrvLcCd() + ","
         + ncpdpPrescriber.getPriCarePrvLsNm();
  }
}
