package gov.va.med.hac.edi.utils.logutils.jpa;

import gov.va.med.domain.erepos.*;

public class NcpdpPricingLogger {

  NcpdpPricing ncpdpPricing;

  public NcpdpPricingLogger(NcpdpPricing inNcpdpPricing) {
    ncpdpPricing = inNcpdpPricing;
  }

  public static String getFieldNames() {
    return " FileNumber"
         + ",PricingKey"
         + ",SegmentId"
         + ",IngdtCost"
         + ",DispensingFeeSub"
         + ",PrfsnSvcFeeSub"
         + ",PatPaidAmt"
         + ",IncentiveAmtSub"
         + ",OtAmtClaimSubCnt"
         + ",FlatSalesTaxAmt"
         + ",PctSleTaxAmtSub"
         + ",PctSleTaxRtSub"
         + ",PctSleTaxBsSub"
         + ",UsualAndCstChg"
         + ",GrossAmtDue"
         + ",BasisOfCostDetm";
  }

  public String toString() {
	  if(ncpdpPricing == null) return "";	
    return ncpdpPricing.getFileNumber() + ","
         + ncpdpPricing.getPricingKey() + ","
         + ncpdpPricing.getSegmentId()  + ","
         + ncpdpPricing.getIngdtCost() + ","
         + ncpdpPricing.getDispensingFeeSub() + ","
         + ncpdpPricing.getPrfsnSvcFeeSub() + ","
         + ncpdpPricing.getPatPaidAmt() + ","
         + ncpdpPricing.getIncentiveAmtSub() + ","
         + ncpdpPricing.getOtAmtClaimSubCnt() + ","
         + ncpdpPricing.getFlatSalesTaxAmt() + ","
         + ncpdpPricing.getPctSleTaxAmtSub() + ","
         + ncpdpPricing.getPctSleTaxRtSub() + ","
         + ncpdpPricing.getPctSleTaxBsSub() + ","
         + ncpdpPricing.getUsualAndCstChg() + ","
         + ncpdpPricing.getGrossAmtDue() + ","
         + ncpdpPricing.getBasisOfCostDetm();
  }
}
