package gov.va.med.hac.edi.utils.persistent;

import java.util.Date;

public class FeeClaimPaymentLine {
	private double unitsPaid = 0.0;
	private double billedAmount = 0.0;
	private double paidAmount = 0.0;
	private double adjustmentAmount1 = 0.0;
	private double adjustmentAmount2 = 0.0;
	private double adjustmentAmount3 = 0.0;
	private double adjustmentAmount4 = 0.0;
	private double adjustmentAmount5 = 0.0;
	private String lineItemSequence = null;
	private String serviceCodeType = null;
	private String servicePaidCode = null;
	private String serviceModifierCode1 = null;
	private String serviceModifierCode2 = null;
	private String serviceModifierCode3 = null;
	private String serviceModifierCode4 = null;
	private String adjustmentGroupCode1 = null;
	private String adjustmentReasonCode1 = null;
	private String remittanceRemarkCode1a = null;
	private String remittanceRemarkCode1b = null;
	private String adjustmentGroupCode2 = null;
	private String adjustmentReasonCode2 = null;
	private String remittanceRemarkCode2a = null;
	private String remittanceRemarkCode2b = null;
	private String adjustmentGroupCode3 = null;
	private String adjustmentReasonCode3 = null;
	private String remittanceRemarkCode3a = null;
	private String remittanceRemarkCode3b = null;
	private String adjustmentGroupCode4 = null;
	private String adjustmentReasonCode4 = null;
	private String remittanceRemarkCode4a = null;
	private String remittanceRemarkCode4b = null;
	private String adjustmentGroupCode5 = null;
	private String adjustmentReasonCode5 = null;
	private String remittanceRemarkCode5a = null;
	private String remittanceRemarkCode5b = null;
	private String typeOfPayment = null;
	private String checkNumber = null;
	private String authorizationNumber = null;
	private String claimType = null;
	private String paymentMethodology = null;
	private Date serviceDate = null;
	private Date checkDate = null;
	
	
	/*
	 * Default Constructor
	 */
	public FeeClaimPaymentLine() {
		super();
	}
	
	/**
	 * @param unitsPaid
	 * @param billedAmount
	 * @param paidAmount
	 * @param adjustmentAmount1
	 * @param adjustmentAmount2
	 * @param adjustmentAmount3
	 * @param adjustmentAmount4
	 * @param adjustmentAmount5
	 * @param lineItemSequence
	 * @param serviceCodeType
	 * @param servicePaidCode
	 * @param serviceModifierCode1
	 * @param serviceModifierCode2
	 * @param serviceModifierCode3
	 * @param serviceModifierCode4
	 * @param adjustmentGroupCode1
	 * @param adjustmentReasonCode1
	 * @param remittanceRemarkCode1a
	 * @param remittanceRemarkCode1b
	 * @param adjustmentGroupCode2
	 * @param adjustmentReasonCode2
	 * @param remittanceRemarkCode2a
	 * @param remittanceRemarkCode2b
	 * @param adjustmentGroupCode3
	 * @param adjustmentReasonCode3
	 * @param remittanceRemarkCode3a
	 * @param remittanceRemarkCode3b
	 * @param adjustmentGroupCode4
	 * @param adjustmentReasonCode4
	 * @param remittanceRemarkCode4a
	 * @param remittanceRemarkCode4b
	 * @param adjustmentGroupCode5
	 * @param adjustmentReasonCode5
	 * @param remittanceRemarkCode5a
	 * @param remittanceRemarkCode5b
	 * @param typeOfPayment
	 * @param checkNumber
	 * @param authorizationNumber
	 * @param claimType
	 * @param paymentMethodology
	 * @param serviceDate
	 * @param checkDate
	 */
	public FeeClaimPaymentLine(double unitsPaid,
			double billedAmount, double paidAmount,
			double adjustmentAmount1, double adjustmentAmount2,
			double adjustmentAmount3, double adjustmentAmount4,
			double adjustmentAmount5, String lineItemSequence,
			String serviceCodeType, String servicePaidCode,
			String serviceModifierCode1, String serviceModifierCode2,
			String serviceModifierCode3, String serviceModifierCode4,
			String adjustmentGroupCode1, String adjustmentReasonCode1,
			String remittanceRemarkCode1a, String remittanceRemarkCode1b,
			String adjustmentGroupCode2, String adjustmentReasonCode2,
			String remittanceRemarkCode2a, String remittanceRemarkCode2b,
			String adjustmentGroupCode3, String adjustmentReasonCode3,
			String remittanceRemarkCode3a, String remittanceRemarkCode3b,
			String adjustmentGroupCode4, String adjustmentReasonCode4,
			String remittanceRemarkCode4a, String remittanceRemarkCode4b,
			String adjustmentGroupCode5, String adjustmentReasonCode5,
			String remittanceRemarkCode5a, String remittanceRemarkCode5b,
			String typeOfPayment, String checkNumber, String authorizationNumber,
			String claimType, String paymentMethodology, Date serviceDate, Date checkDate) {
		super();
		this.unitsPaid = unitsPaid;
		this.billedAmount = billedAmount;
		this.paidAmount = paidAmount;
		this.adjustmentAmount1 = adjustmentAmount1;
		this.adjustmentAmount2 = adjustmentAmount2;
		this.adjustmentAmount3 = adjustmentAmount3;
		this.adjustmentAmount4 = adjustmentAmount4;
		this.adjustmentAmount5 = adjustmentAmount5;
		this.lineItemSequence = lineItemSequence;
		this.serviceCodeType = serviceCodeType;
		this.servicePaidCode = servicePaidCode;
		this.serviceModifierCode1 = serviceModifierCode1;
		this.serviceModifierCode2 = serviceModifierCode2;
		this.serviceModifierCode3 = serviceModifierCode3;
		this.serviceModifierCode4 = serviceModifierCode4;
		this.adjustmentGroupCode1 = adjustmentGroupCode1;
		this.adjustmentReasonCode1 = adjustmentReasonCode1;
		this.remittanceRemarkCode1a = remittanceRemarkCode1a;
		this.remittanceRemarkCode1b = remittanceRemarkCode1b;
		this.adjustmentGroupCode2 = adjustmentGroupCode2;
		this.adjustmentReasonCode2 = adjustmentReasonCode2;
		this.remittanceRemarkCode2a = remittanceRemarkCode2a;
		this.remittanceRemarkCode2b = remittanceRemarkCode2b;
		this.adjustmentGroupCode3 = adjustmentGroupCode3;
		this.adjustmentReasonCode3 = adjustmentReasonCode3;
		this.remittanceRemarkCode3a = remittanceRemarkCode3a;
		this.remittanceRemarkCode3b = remittanceRemarkCode3b;
		this.adjustmentGroupCode4 = adjustmentGroupCode4;
		this.adjustmentReasonCode4 = adjustmentReasonCode4;
		this.remittanceRemarkCode4a = remittanceRemarkCode4a;
		this.remittanceRemarkCode4b = remittanceRemarkCode4b;
		this.adjustmentGroupCode5 = adjustmentGroupCode5;
		this.adjustmentReasonCode5 = adjustmentReasonCode5;
		this.remittanceRemarkCode5a = remittanceRemarkCode5a;
		this.remittanceRemarkCode5b = remittanceRemarkCode5b;
		this.typeOfPayment = typeOfPayment;
		this.checkNumber = checkNumber;
		this.authorizationNumber = authorizationNumber;
		this.claimType = claimType;
		this.paymentMethodology = paymentMethodology;
		this.serviceDate = serviceDate;
		this.checkDate = checkDate;
	}

	/**
	 * @return the unitsPaid
	 */
	public double getUnitsPaid() {
		return unitsPaid;
	}

	/**
	 * @param unitsPaid the unitsPaid to set
	 */
	public void setUnitsPaid(double unitsPaid) {
		this.unitsPaid = unitsPaid;
	}

	/**
	 * @return the billedAmount
	 */
	public double getBilledAmount() {
		return billedAmount;
	}

	/**
	 * @param billedAmount the billedAmount to set
	 */
	public void setBilledAmount(double billedAmountFCPL) {
		this.billedAmount = billedAmountFCPL;
	}

	/**
	 * @return the paidAmount
	 */
	public double getPaidAmount() {
		return paidAmount;
	}

	/**
	 * @param paidAmount the paidAmount to set
	 */
	public void setPaidAmount(double paidAmountFCPL) {
		this.paidAmount = paidAmountFCPL;
	}

	/**
	 * @return the adjustmentAmount1
	 */
	public double getAdjustmentAmount1() {
		return adjustmentAmount1;
	}

	/**
	 * @param adjustmentAmount1 the adjustmentAmount1 to set
	 */
	public void setAdjustmentAmount1(double adjustmentAmount1) {
		this.adjustmentAmount1 = adjustmentAmount1;
	}

	/**
	 * @return the adjustmentAmount2
	 */
	public double getAdjustmentAmount2() {
		return adjustmentAmount2;
	}

	/**
	 * @param adjustmentAmount2 the adjustmentAmount2 to set
	 */
	public void setAdjustmentAmount2(double adjustmentAmount2) {
		this.adjustmentAmount2 = adjustmentAmount2;
	}

	/**
	 * @return the adjustmentAmount3
	 */
	public double getAdjustmentAmount3() {
		return adjustmentAmount3;
	}

	/**
	 * @param adjustmentAmount3 the adjustmentAmount3 to set
	 */
	public void setAdjustmentAmount3(double adjustmentAmount3) {
		this.adjustmentAmount3 = adjustmentAmount3;
	}

	/**
	 * @return the adjustmentAmount4
	 */
	public double getAdjustmentAmount4() {
		return adjustmentAmount4;
	}

	/**
	 * @param adjustmentAmount4 the adjustmentAmount4 to set
	 */
	public void setAdjustmentAmount4(double adjustmentAmount4) {
		this.adjustmentAmount4 = adjustmentAmount4;
	}

	/**
	 * @return the adjustmentAmount5
	 */
	public double getAdjustmentAmount5() {
		return adjustmentAmount5;
	}

	/**
	 * @param adjustmentAmount5 the adjustmentAmount5 to set
	 */
	public void setAdjustmentAmount5(double adjustmentAmount5) {
		this.adjustmentAmount5 = adjustmentAmount5;
	}

	/**
	 * @return the lineItemSequence
	 */
	public String getLineItemSequence() {
		return lineItemSequence;
	}

	/**
	 * @param lineItemSequence the lineItemSequence to set
	 */
	public void setLineItemSequence(String lineItemSequence) {
		this.lineItemSequence = lineItemSequence;
	}

	/**
	 * @return the serviceCodeType
	 */
	public String getServiceCodeType() {
		return serviceCodeType;
	}

	/**
	 * @param serviceCodeType the serviceCodeType to set
	 */
	public void setServiceCodeType(String serviceCodeType) {
		this.serviceCodeType = serviceCodeType;
	}

	/**
	 * @return the servicePaidCode
	 */
	public String getServicePaidCode() {
		return servicePaidCode;
	}

	/**
	 * @param servicePaidCode the servicePaidCode to set
	 */
	public void setServicePaidCode(String servicePaidCode) {
		this.servicePaidCode = servicePaidCode;
	}

	/**
	 * @return the serviceModifierCode1
	 */
	public String getServiceModifierCode1() {
		return serviceModifierCode1;
	}

	/**
	 * @param serviceModifierCode1 the serviceModifierCode1 to set
	 */
	public void setServiceModifierCode1(String serviceModifierCode1) {
		this.serviceModifierCode1 = serviceModifierCode1;
	}

	/**
	 * @return the serviceModifierCode2
	 */
	public String getServiceModifierCode2() {
		return serviceModifierCode2;
	}

	/**
	 * @param serviceModifierCode2 the serviceModifierCode2 to set
	 */
	public void setServiceModifierCode2(String serviceModifierCode2) {
		this.serviceModifierCode2 = serviceModifierCode2;
	}

	/**
	 * @return the serviceModifierCode3
	 */
	public String getServiceModifierCode3() {
		return serviceModifierCode3;
	}

	/**
	 * @param serviceModifierCode3 the serviceModifierCode3 to set
	 */
	public void setServiceModifierCode3(String serviceModifierCode3) {
		this.serviceModifierCode3 = serviceModifierCode3;
	}

	/**
	 * @return the serviceModifierCode4
	 */
	public String getServiceModifierCode4() {
		return serviceModifierCode4;
	}

	/**
	 * @param serviceModifierCode4 the serviceModifierCode4 to set
	 */
	public void setServiceModifierCode4(String serviceModifierCode4) {
		this.serviceModifierCode4 = serviceModifierCode4;
	}

	/**
	 * @return the adjustmentGroupCode1
	 */
	public String getAdjustmentGroupCode1() {
		return adjustmentGroupCode1;
	}

	/**
	 * @param adjustmentGroupCode1 the adjustmentGroupCode1 to set
	 */
	public void setAdjustmentGroupCode1(String adjustmentGroupCode1) {
		this.adjustmentGroupCode1 = adjustmentGroupCode1;
	}

	/**
	 * @return the adjustmentReasonCode1
	 */
	public String getAdjustmentReasonCode1() {
		return adjustmentReasonCode1;
	}

	/**
	 * @param adjustmentReasonCode1 the adjustmentReasonCode1 to set
	 */
	public void setAdjustmentReasonCode1(String adjustmentReasonCode1) {
		this.adjustmentReasonCode1 = adjustmentReasonCode1;
	}

	/**
	 * @return the remittanceRemarkCode1a
	 */
	public String getRemittanceRemarkCode1a() {
		return remittanceRemarkCode1a;
	}

	/**
	 * @param remittanceRemarkCode1a the remittanceRemarkCode1a to set
	 */
	public void setRemittanceRemarkCode1a(String remittanceRemarkCode1a) {
		this.remittanceRemarkCode1a = remittanceRemarkCode1a;
	}

	/**
	 * @return the remittanceRemarkCode1b
	 */
	public String getRemittanceRemarkCode1b() {
		return remittanceRemarkCode1b;
	}

	/**
	 * @param remittanceRemarkCode1b the remittanceRemarkCode1b to set
	 */
	public void setRemittanceRemarkCode1b(String remittanceRemarkCode1b) {
		this.remittanceRemarkCode1b = remittanceRemarkCode1b;
	}

	/**
	 * @return the adjustmentGroupCode2
	 */
	public String getAdjustmentGroupCode2() {
		return adjustmentGroupCode2;
	}

	/**
	 * @param adjustmentGroupCode2 the adjustmentGroupCode2 to set
	 */
	public void setAdjustmentGroupCode2(String adjustmentGroupCode2) {
		this.adjustmentGroupCode2 = adjustmentGroupCode2;
	}

	/**
	 * @return the adjustmentReasonCode2
	 */
	public String getAdjustmentReasonCode2() {
		return adjustmentReasonCode2;
	}

	/**
	 * @param adjustmentReasonCode2 the adjustmentReasonCode2 to set
	 */
	public void setAdjustmentReasonCode2(String adjustmentReasonCode2) {
		this.adjustmentReasonCode2 = adjustmentReasonCode2;
	}

	/**
	 * @return the remittanceRemarkCode2a
	 */
	public String getRemittanceRemarkCode2a() {
		return remittanceRemarkCode2a;
	}

	/**
	 * @param remittanceRemarkCode2a the remittanceRemarkCode2a to set
	 */
	public void setRemittanceRemarkCode2a(String remittanceRemarkCode2a) {
		this.remittanceRemarkCode2a = remittanceRemarkCode2a;
	}

	/**
	 * @return the remittanceRemarkCode2b
	 */
	public String getRemittanceRemarkCode2b() {
		return remittanceRemarkCode2b;
	}

	/**
	 * @param remittanceRemarkCode2b the remittanceRemarkCode2b to set
	 */
	public void setRemittanceRemarkCode2b(String remittanceRemarkCode2b) {
		this.remittanceRemarkCode2b = remittanceRemarkCode2b;
	}

	/**
	 * @return the adjustmentGroupCode3
	 */
	public String getAdjustmentGroupCode3() {
		return adjustmentGroupCode3;
	}

	/**
	 * @param adjustmentGroupCode3 the adjustmentGroupCode3 to set
	 */
	public void setAdjustmentGroupCode3(String adjustmentGroupCode3) {
		this.adjustmentGroupCode3 = adjustmentGroupCode3;
	}

	/**
	 * @return the adjustmentReasonCode3
	 */
	public String getAdjustmentReasonCode3() {
		return adjustmentReasonCode3;
	}

	/**
	 * @param adjustmentReasonCode3 the adjustmentReasonCode3 to set
	 */
	public void setAdjustmentReasonCode3(String adjustmentReasonCode3) {
		this.adjustmentReasonCode3 = adjustmentReasonCode3;
	}

	/**
	 * @return the remittanceRemarkCode3a
	 */
	public String getRemittanceRemarkCode3a() {
		return remittanceRemarkCode3a;
	}

	/**
	 * @param remittanceRemarkCode3a the remittanceRemarkCode3a to set
	 */
	public void setRemittanceRemarkCode3a(String remittanceRemarkCode3a) {
		this.remittanceRemarkCode3a = remittanceRemarkCode3a;
	}

	/**
	 * @return the remittanceRemarkCode3b
	 */
	public String getRemittanceRemarkCode3b() {
		return remittanceRemarkCode3b;
	}

	/**
	 * @param remittanceRemarkCode3b the remittanceRemarkCode3b to set
	 */
	public void setRemittanceRemarkCode3b(String remittanceRemarkCode3b) {
		this.remittanceRemarkCode3b = remittanceRemarkCode3b;
	}

	/**
	 * @return the adjustmentGroupCode4
	 */
	public String getAdjustmentGroupCode4() {
		return adjustmentGroupCode4;
	}

	/**
	 * @param adjustmentGroupCode4 the adjustmentGroupCode4 to set
	 */
	public void setAdjustmentGroupCode4(String adjustmentGroupCode4) {
		this.adjustmentGroupCode4 = adjustmentGroupCode4;
	}

	/**
	 * @return the adjustmentReasonCode4
	 */
	public String getAdjustmentReasonCode4() {
		return adjustmentReasonCode4;
	}

	/**
	 * @param adjustmentReasonCode4 the adjustmentReasonCode4 to set
	 */
	public void setAdjustmentReasonCode4(String adjustmentReasonCode4) {
		this.adjustmentReasonCode4 = adjustmentReasonCode4;
	}

	/**
	 * @return the remittanceRemarkCode4a
	 */
	public String getRemittanceRemarkCode4a() {
		return remittanceRemarkCode4a;
	}

	/**
	 * @param remittanceRemarkCode4a the remittanceRemarkCode4a to set
	 */
	public void setRemittanceRemarkCode4a(String remittanceRemarkCode4a) {
		this.remittanceRemarkCode4a = remittanceRemarkCode4a;
	}

	/**
	 * @return the remittanceRemarkCode4b
	 */
	public String getRemittanceRemarkCode4b() {
		return remittanceRemarkCode4b;
	}

	/**
	 * @param remittanceRemarkCode4b the remittanceRemarkCode4b to set
	 */
	public void setRemittanceRemarkCode4b(String remittanceRemarkCode4b) {
		this.remittanceRemarkCode4b = remittanceRemarkCode4b;
	}

	/**
	 * @return the adjustmentGroupCode5
	 */
	public String getAdjustmentGroupCode5() {
		return adjustmentGroupCode5;
	}

	/**
	 * @param adjustmentGroupCode5 the adjustmentGroupCode5 to set
	 */
	public void setAdjustmentGroupCode5(String adjustmentGroupCode5) {
		this.adjustmentGroupCode5 = adjustmentGroupCode5;
	}

	/**
	 * @return the adjustmentReasonCode5
	 */
	public String getAdjustmentReasonCode5() {
		return adjustmentReasonCode5;
	}

	/**
	 * @param adjustmentReasonCode5 the adjustmentReasonCode5 to set
	 */
	public void setAdjustmentReasonCode5(String adjustmentReasonCode5) {
		this.adjustmentReasonCode5 = adjustmentReasonCode5;
	}

	/**
	 * @return the remittanceRemarkCode5a
	 */
	public String getRemittanceRemarkCode5a() {
		return remittanceRemarkCode5a;
	}

	/**
	 * @param remittanceRemarkCode5a the remittanceRemarkCode5a to set
	 */
	public void setRemittanceRemarkCode5a(String remittanceRemarkCode5a) {
		this.remittanceRemarkCode5a = remittanceRemarkCode5a;
	}

	/**
	 * @return the remittanceRemarkCode5b
	 */
	public String getRemittanceRemarkCode5b() {
		return remittanceRemarkCode5b;
	}

	/**
	 * @param remittanceRemarkCode5b the remittanceRemarkCode5b to set
	 */
	public void setRemittanceRemarkCode5b(String remittanceRemarkCode5b) {
		this.remittanceRemarkCode5b = remittanceRemarkCode5b;
	}

	/**
	 * @return the typeOfPayment
	 */
	public String getTypeOfPayment() {
		return typeOfPayment;
	}

	/**
	 * @param typeOfPayment the typeOfPayment to set
	 */
	public void setTypeOfPayment(String typeOfPayment) {
		this.typeOfPayment = typeOfPayment;
	}

	/**
	 * @return the checkNumber
	 */
	public String getCheckNumber() {
		return checkNumber;
	}

	/**
	 * @param checkNumber the checkNumber to set
	 */
	public void setCheckNumber(String checkNumber) {
		this.checkNumber = checkNumber;
	}

	/**
	 * @return the authorizationNumber
	 */
	public String getAuthorizationNumber() {
		return authorizationNumber;
	}

	/**
	 * @param authorizationNumber the authorizationNumber to set
	 */
	public void setAuthorizationNumber(String authorizationNumber) {
		this.authorizationNumber = authorizationNumber;
	}

	/**
	 * @return the claimType
	 */
	public String getClaimType() {
		return claimType;
	}

	/**
	 * @param claimType the claimType to set
	 */
	public void setClaimType(String claimType) {
		this.claimType = claimType;
	}

	/**
	 * @return the paymentMethodology
	 */
	public String getPaymentMethodology() {
		return paymentMethodology;
	}

	/**
	 * @param paymentMethodology the paymentMethodology to set
	 */
	public void setPaymentMethodology(String paymentMethodology) {
		this.paymentMethodology = paymentMethodology;
	}

	/**
	 * @return the serviceDate
	 */
	public Date getServiceDate() {
		return serviceDate;
	}

	/**
	 * @param serviceDate the serviceDate to set
	 */
	public void setServiceDate(Date serviceDate) {
		this.serviceDate = serviceDate;
	}

	/**
	 * @return the checkDate
	 */
	public Date getCheckDate() {
		return checkDate;
	}

	/**
	 * @param checkDate the checkDate to set
	 */
	public void setCheckDate(Date checkDate) {
		this.checkDate = checkDate;
	}
	
		
}
