package gov.va.med.fee.claim;

import javax.faces.application.FacesMessage;
import javax.faces.component.UIComponent;
import javax.faces.component.html.HtmlSelectOneMenu;
import javax.faces.context.FacesContext;

import org.jboss.seam.annotations.Name;
import org.jboss.seam.international.StatusMessages;
import org.jboss.seam.international.StatusMessage.Severity;

@Name(value="disapprovalFormTo")
public class DisapprovalFormTo {
   
   private String comment;
   private String selectedReason;
   
   /**
    * @return the comment
    */
   public final String getComment() {
      return comment;
   }
   /**
    * @param comment the comment to set
    */
   public final void setComment(String comment) {
      this.comment = comment;
   }
   /**
    * @return the reason
    */
   public final String getSelectedReason() {
      return this.selectedReason;
   }
   /**
    * @param reason the reason to set
    */
   public final void setSelectedReason(String reason) {
      this.selectedReason = reason;
   }
   
   public void validateReason(FacesContext context, UIComponent component, Object obj)  {
      String value = obj.toString();
      HtmlSelectOneMenu hsom = (HtmlSelectOneMenu) component;
      if (value.equals("-- Select a Reason --")) {
         hsom.setValid(false);
         FacesMessage message = new FacesMessage("Please Select a Valid Reason.");
         context.addMessage(component.getClientId(context), message);
         StatusMessages.instance().addFromResourceBundle(Severity.ERROR, "gov.va.med.fee.MSG_ERROR5", "");
      }
   }

}
