/*
 * $Id: FeeOptions.java,v 1.3 2009/05/19 19:31:41 vhahacnguyes Exp $
 */
package gov.va.med.fee.report;

import javax.ejb.Local;
import javax.faces.model.SelectItem;

/**
 * The Interface FeeOptions.
 */
@Local
public interface FeeOptions {

    /**
    * Destroy.
    */
    void destroy();

    /**
    * Gets the facility options.
    *
    * @return the facility options
    */
    SelectItem[] getFacilityOptions();

    /**
    * Gets the reason options.
    *
    * @return the reason options
    */
    SelectItem[] getReasonOptions();
}
