/*
 * $Id: OutOfSysSumPreparer.java,v 1.8 2010/01/07 14:50:31 vhahacnguyes Exp $
 */
package gov.va.med.fee.report.jasper;

import gov.va.med.fee.report.Criteria;

import java.util.Map;

/**
 * The Class OutOfSysSumPreparer.
 */
public final class OutOfSysSumPreparer extends Preparer {

    /**
    * {@inheritDoc}
    */
    public String getTemplateName() {
        return "OutOfSysSum";
    }

    /**
     * {@inheritDoc}
     */
     @Override
     @SuppressWarnings("unchecked")
     public void prepare(final Criteria c) {
         Map params = getParams();

         prepareProjectClause(c);
         prepareFacilities(c);
     }
}
