/*
 * DateUtil.java
 * 
 * Created on Jul 17, 2007, 9:50:51 AM
 * 
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package gov.va.med.hac.edi.utils.jpa; // NOPMD (Use Singletom)

import java.text.SimpleDateFormat;
import java.util.*;

/**
 *
 * @author ervt
 */
public class DateUtil {

    public static java.sql.Date getCurSqlDate()
    {
        final Calendar cal = Calendar.getInstance();
        final java.sql.Date vSqlDate = new java.sql.Date(cal.getTimeInMillis());

        return vSqlDate;
    }

    private static Date getDate() {
        final Calendar calendar = new GregorianCalendar() ;
        return calendar.getTime() ;
    }
    
    public static String currentDate() {
        final SimpleDateFormat transDate = new SimpleDateFormat("MM/dd/yyyy", Locale.US);
        return transDate.format( getDate() ) ;
    }
    
    public static String currentTime() {
        final SimpleDateFormat transTime = new SimpleDateFormat("MM/dd/yyyy", Locale.US);
        return transTime.format( getDate() ) ;
    }
    
    private static String getCurrentDateTimeFormatted(String format) {
        final SimpleDateFormat dateFormat = new SimpleDateFormat(format, Locale.US);
        return dateFormat.format(getDate()) ;
    }
    
    public static String getCurrentDateFormatted(String format) {
        return getCurrentDateTimeFormatted(format);
    }
    
    public static String getCurrentTimeFormatted(String format) {
        return getCurrentDateTimeFormatted(format);
    }
    
    // Convert a string into a Date, from one of two formats
    public static java.sql.Date getSqlDate(String vDate)
    {        
        final Calendar cal = Calendar.getInstance();
        
        // check preconditions
        if (vDate == null) {
          return null;
        }
        
        // YYYYMMDD
        if(vDate.length() > 6) {
            cal.set(Integer.parseInt(vDate.substring(0, 4)),
                    Integer.parseInt(vDate.substring(4, 6)) - 1,  // Month is 0-based
                    Integer.parseInt(vDate.substring(6, 8)));            
        
        // YYMMDD
        } else {
            cal.set(Integer.parseInt("20" + vDate.substring(0, 2)),
                    Integer.parseInt(vDate.substring(2, 4)) - 1,  // Month is 0-based
                    Integer.parseInt(vDate.substring(4, 6)));            
        }        
        final java.sql.Date vSqlDate = new java.sql.Date(cal.getTimeInMillis());
        
        return vSqlDate;
    }
    
//    // Although this method is not called, Richard put it back in when merging in
//    //   November 2008, in case it is used by code coming in from a different branch.
//    // If used, it should be rewritten from scratch.
//    public static int isFutureDate(String sDate) {
//        // Build a real date from the String
//        sDate = sDate.replace('\\', '-').replace('/', '-');
//        String[] dateParts = sDate.split("-");
//        int retVal = 0;
//        do {            
//            if(dateParts.length != 3 || dateParts[2].length() != 2 
//                    || dateParts[2].length() != 4) {
//                break;
//            }
//            int month = Integer.parseInt(dateParts[0]);
//            int date = Integer.parseInt(dateParts[1]);
//            int year = Integer.parseInt(dateParts[2]);
//            if(year < 100) { // Left to assume century is 1900 or 2000
//                if(year > 0 && year < 20) {
//                    year += 2000;
//                } else {
//                    year += 1900;
//                }
//            }
//            // Build a true date - maybe
//            GregorianCalendar cal = new GregorianCalendar(year,month,date);
//            retVal = cal.getTime().compareTo(new Date());
//        } while(false);
//        
//        return retVal;
//    }
}
