package gov.va.med.hac.edi.utils.logutils.jpa;

import gov.va.med.domain.erepos.*;

public class NcpdpInsuranceLogger {

  NcpdpInsurance ncpdpInsurance;

  public NcpdpInsuranceLogger(NcpdpInsurance inNcpdpInsurance) {
    ncpdpInsurance = inNcpdpInsurance;
  }

  public static String getFieldNames() {
    return " FileNumber,InsuranceKey,SegmentId,CrdhldrId,CrdhldrFirstName,"
        + "CrdhldrLastName,HomePlan,PlanId,EligClarifyCd,FacilityId,GroupId,PersonCode,PatRelshpCd";
  }

  public String toString() {
	  if(ncpdpInsurance == null) return "";	  
    return ncpdpInsurance.getFileNumber() + ","
         + ncpdpInsurance.getInsuranceKey() + ","
         + ncpdpInsurance.getSegmentId() + ","
         + ncpdpInsurance.getCrdhldrId() + ","
         + ncpdpInsurance.getCrdhldrFirstName() + ","
         + ncpdpInsurance.getCrdhldrLastName() + ","
         + ncpdpInsurance.getHomePlan() + ","
         + ncpdpInsurance.getPlanId() + ","
         + ncpdpInsurance.getEligClarifyCd() + ","
         + ncpdpInsurance.getFacilityId() + ","
         + ncpdpInsurance.getGroupId() + ","
         + ncpdpInsurance.getPersonCode() + ","
         + ncpdpInsurance.getPatRelshpCd();
  }
}
