package gov.va.med.hac.edi.era.jpa;

import gov.va.med.hac.edi.regression.HacStg835LoadRegression;
import gov.va.med.hac.edi.regression.RegressionTestingUtils;

import java.sql.Connection;
import java.util.Properties;
import org.testng.annotations.Test;

public class HacStg835LoadRegressionTest {

  
  @Test
  public void dataLoadRegressionTest() throws Exception {
    Properties props = RegressionTestingUtils.getPropertiesFromFile("hacstage835load.properties", this.getClass());
    Connection conn = RegressionTestingUtils.getDatabaseConnection(this.getClass());
    HacStg835LoadRegression regression = new HacStg835LoadRegression(conn, props, true);
    int diffs = regression.dataLoadRegression();
    
    // Make sure there were no diffs
    System.out.println("Total Diffs: " + diffs);
    assert diffs == 0;
  }
}
