package gov.va.med.hac.edi.era.jpa;

import gov.va.med.hac.edi.regression.RegressionTestingUtils;
import gov.va.med.hac.edi.regression.StgToEreposRegression;

import java.sql.Connection;
import java.util.Properties;
import org.testng.annotations.Test;

public class Stg835ToEReposeLoadTest {

  
  @Test
  public void dataLoadRegressionTest() throws Exception {
    Properties props = RegressionTestingUtils.getPropertiesFromFile("stgtoerepos.properties", this.getClass());
    Connection conn = RegressionTestingUtils.getDatabaseConnection(this.getClass());
    StgToEreposRegression regression = new StgToEreposRegression(conn, props, true);
    int diffs = regression.dataLoadRegression();
    
    // Make sure there were no diffs
    System.out.println("Total Diffs: " + diffs);
    assert diffs == 0;
  }
}
