package gov.va.med.hac.edi.regression;

import gov.va.med.hac.edi.era.jpa.HacStg835Load;
import gov.va.med.hac.edi.utils.*;
import gov.va.med.hac.edi.utils.jpa.DbTransactionEnderException;

import java.io.IOException;
import java.sql.*;
import java.util.Properties;

import javax.naming.NamingException;

public class HacStg835LoadRegression extends LoadRegression {

  public HacStg835LoadRegression(Connection inConnection, Properties inProperties, Boolean inVerbose) {
    super(inConnection, inProperties, inVerbose);
  }

  /**
   * This method executes the refactored code in this JVM. If the refactored
   * process does not run correctly you may want to convert this method to use
   * a ProcessBuilder that sets up an isolated environment.
   * 
   * @throws Exception
   */
  public void runNewCode() throws IOException, NamingException, DbTransactionEnderException {    
    String loadFile = (String) properties.get("new.appargs");
    String[] args = new String[]{loadFile};
    //TWP: Call New Code
    HacStg835Load.main(args);    
  }


}
