/*
 *
 */
package gov.va.med.fee;

import javax.mail.*;
import javax.mail.internet.*;

import org.jboss.seam.log.Log;
import org.jboss.seam.log.Logging;

import java.util.*;

/**
 *
 * @author vhahacdoansc
 */
public class Email {
   
      private Log log = Logging.getLog(Email.class);


        String recipients[]  = {""};
        String subject = "";
        String message = "";
        String from = "EMAIL";
               
        public String postMail(String recipients[], String subject, String message , String from, boolean sendReadNotice, String readNoticeAddress) throws MessagingException, AddressException
        {
            boolean debug = false;
            String ret = "";
             //Set the host smtp address
             Properties props = new Properties();
             props.put("mail.smtp.host", "DNS        ");
             props.put("mail.host", "DNS        ");             
             
            // create some properties and get the default Session
            Session session = Session.getDefaultInstance(props, null);
            session.setDebug(debug);

            // create a message
            Message msg = new MimeMessage(session);

            // set the from and to address
            InternetAddress addressFrom = new InternetAddress(from);
            msg.setFrom(addressFrom);

            InternetAddress[] addressTo = new InternetAddress[recipients.length]; 
            for (int i = 0; i < recipients.length; i++)
            {
                try{
                    if(recipients[i]!=null && !recipients[i].equals("")){                        
                        InternetAddress addressTemp = new InternetAddress(recipients[i]);                        
                        addressTemp.validate();
                        addressTo[i] = addressTemp;
                                msg.setRecipients(Message.RecipientType.TO, addressTo);
            
                            
                            if(sendReadNotice){
                                msg.setHeader("Disposition-Notification-To", readNoticeAddress);
                            }
                           
                                
                            // Setting the Subject and Content Type
                            msg.setSubject(subject);
                            msg.setContent(message, "text/html");
                            Transport.send(msg);                            
            
                            GregorianCalendar gc = new GregorianCalendar();
                            String dts = (gc.get(Calendar.MONTH)+1) +"/"+gc.get(Calendar.DAY_OF_MONTH)+"/"+gc.get(Calendar.YEAR)+ " at " + gc.get(Calendar.HOUR_OF_DAY) + ":" + gc.get(Calendar.MINUTE) + ":" + gc.get(Calendar.SECOND);
                            ret += "message sent at " + dts;                                        
                    }
                } catch(AddressException ae){
                        ret+="AddressException ERROR: " + ae.getMessage();
                        log.error(ae.getMessage(), ae);
                } catch(MessagingException me){
                        ret+="MessagingException Error: " + me.getMessage();
                        log.error(me.getMessage(), me);
                } catch(Exception e){
                        ret+="Exception Error: " + e.getMessage();
                        log.error(e.getMessage(), e);
                }                                
            }    
            
            return ret;
        }
}

























