/*
 *
 */
package gov.va.med.fee;

import javax.faces.*;
import javax.faces.validator.*;
import javax.faces.application.*;
import javax.faces.component.*;
import javax.faces.context.*;
import java.util.regex.*;
import java.util.Date;
import java.text.SimpleDateFormat;

public class PastDateValidator implements Validator{
	public PastDateValidator(){}

	public void validate(FacesContext facesContext, UIComponent uIComponent, Object object) throws ValidatorException{
		
		try{
			Date enteredValue = (Date)object;
			Date now = new Date();
			
			if(enteredValue.compareTo(now) > 0){
				FacesMessage message = new FacesMessage();
				message.setSummary("value must be a past date");
				throw new ValidatorException(message);
			}		
		} catch(ClassCastException e){
			e.printStackTrace();
			FacesMessage message = new FacesMessage();
			message.setSummary("value must be a past date");
			throw new ValidatorException(message);			
		}
	}
}