package gov.va.med.fee.claim;


import static org.jboss.seam.ScopeType.CONVERSATION;

import javax.ejb.Remove;
import javax.ejb.Stateful;
import javax.faces.context.FacesContext;
import javax.faces.event.AbortProcessingException;
import javax.faces.event.ValueChangeEvent;
import javax.faces.event.ValueChangeListener;

import org.jboss.seam.annotations.Destroy;
import org.jboss.seam.annotations.Name;
import org.jboss.seam.annotations.Scope;

@Stateful
@Name("valueChangeListener")
@Scope(CONVERSATION)
public class AdjustmentReasonValueChangedListener implements ValueChangeListener {
	
	public AdjustmentReasonValueChangedListener() {}
	
	@Override
	   public void processValueChange(ValueChangeEvent event) throws AbortProcessingException {
		
		
		
					 ManualReconSelections manualReconSelections = (ManualReconSelections) FacesContext.getCurrentInstance().getExternalContext().getSessionMap().get("manualReconSelections");
	 			 manualReconSelections.valueChange(event.getNewValue().toString(), event.getComponent().getId());	// pass String
		
	   }
	
	  @Destroy
	   @Remove
	   public final void destroy() {
	      // log.info("destroyed:" + this);
	   }
	
	
	
	
}	// end class
