package gov.va.med.fee.claim;


import javax.ejb.Local;
import javax.faces.event.ValueChangeEvent;
import javax.faces.model.SelectItem;
import gov.va.med.domain.fee.Claim;
import gov.va.med.domain.fee.ClaimPayment;
import gov.va.med.domain.fee.FeeClaimPayments;
import gov.va.med.domain.fee.FeeClaimPaymentLines;
import java.util.List;


/*  Russell note that you will have to change FeeClaimPayment to ClaimPayment
 * 
 *
*/


/**
 * The Interface PaymentLine.
 */
@Local

public interface PaymentLine {
	
     /**
     * Destroy.
     */
     void destroy();  
	 
 	 public void clear();
     
	 public String editRow(String claimInd,
						 String feeInvoiceNum,
						 String paymentLineId, String lineNum,String adjust1,
			 			 String adjustGroup1, String adjustReason1,String adjust2,
			 			 String adjustGroup2, String adjustReason2);     

	 public String getAdjust1();
	 
	 public SelectItem[] getAdjustGroups();
	 
	 public SelectItem[] getAdjustReasons();	 
	 
   	 public FeeClaimPaymentLines getLine();

	 public void setAdjust1(String adjust1);   	 
   	 
   	 public void setLine(String line);	
   	    	 
   	 public void radioChange(ValueChangeEvent valueChangeEvent) throws Exception;

	
}
