package gov.va.med.fee.claim;


import javax.ejb.Local;
import gov.va.med.domain.fee.Claim;
import gov.va.med.domain.fee.ClaimPayment;
import gov.va.med.domain.fee.FeeClaimPayments;
import gov.va.med.domain.fee.FeeClaimPaymentLines;
import java.util.List;


/*  Russell note that you will have to change FeeClaimPayment to ClaimPayment
 * 
 *
*/


/**
 * The Interface ReconcileClaim.
 */
@Local

public interface ReconcileClaim {

     /**
     * Destroy.
     */
	void destroy();  

	
	 public void editRow(String paymentLineId, String lineNum,String adjust1,
			 			 String adjustGroup1, String adjustReason1,String adjust2,
			 			 String adjustGroup2, String adjustReason2);
	
     public long getClaimIndex();
 	
     
     public List<LineItemEntity> getClaimLineItems();
     
     public List<FeeClaimPayments> getClaimPayments();
     
     public List<FeeClaimPaymentLines> getPaymentLines();

     public FeeClaimPayments getSinglePayment();     

   	 public Claim getRecClaim();
   	 
   	 public String getServiceTypeDesc();
	
	 public void setClaimIndex(long val);

	 public void setRecClaim(Claim cl);
	 
	 public void setSinglePayment(FeeClaimPayments fcp);
	 		
     public String viewClaim(long claimInd);
	
}
