package gov.va.med.fee.claim;

import gov.va.med.domain.fee.FeeClaimRoutingsReason;

import java.util.List;

import javax.faces.model.SelectItem;

public interface RerouteSelections {
	
	 /**
     * Gets the reroute reasons.
     *
     * @return the reroute reasons
     */
    SelectItem[] getRerouteReasons();
    
    /**
     * Gets the routing reason.
     *
     * @param reason the reason
     *
     * @return the routing reason
     */
    FeeClaimRoutingsReason getFeeClaimRoutingsReason(String reason);
}