package gov.va.med.fee.claim;


import javax.ejb.Local;
import javax.faces.event.ValueChangeEvent;
import gov.va.med.domain.fee.Claim;
import gov.va.med.domain.fee.ClaimPayment;
import gov.va.med.domain.fee.FeeClaimPayments;
import gov.va.med.domain.fee.FeeClaimPaymentLines;
import java.util.List;
import javax.faces.model.SelectItem;


/*  Russell note that you will have to change FeeClaimPayment to ClaimPayment
 * 
 *
*/


/**
 * The Interface PaymentLine.
 */
@Local

public interface UnmatchedClaim extends ReconcileClaim {
	
     /**
     * Destroy.
     */
     void destroy();  
	 
 	 public void clear();
     
	 public String editRow(String paymentLineId, String lineNum,String adjust1,
			 			 String adjustGroup1, String adjustReason1,String adjust2,
			 			 String adjustGroup2, String adjustReason2, String inClaimIndex);     
	 
   	 public FeeClaimPaymentLines getLine();
   	 
   	 public FeeClaimPayments getClaimPayment();
   	 
   	 public List<FeeClaimPayments> getPaymentList();

     public List<FeeClaimPaymentLines> getPaymentLinesList();
   	 
   	 public FeeClaimPayments getSearchLine();
   	 
   	 public void setClaimPayment(String paymentId);
   	 
   	 public void setClaimPayment(FeeClaimPayments fcp);
   	 
   	 public void setLine(String line);
   	 
   	 public void setPaymentList(List<FeeClaimPayments> fcpList);
   	 
   	 public void setSearchLine(FeeClaimPayments fcpl);      	 
   	 
   	 public void search();   	    	 

     /**
      * Gets the manual recon adj reasons.
      *
      * @return the manual recon adj reasons
      */
     SelectItem[] getAdjustReasons();

     /**
      * Gets the manual recon adj groups.
      *
      * @return the manual recon adj groups
      */
     SelectItem[] getAdjustGroups();
   	 
	  public void setDrgWeight(String s);
	  public void setBilledAmount(String s);
	  public void setPaidAmount(String s);
	  
	  public String getDrgWeight();
	  public String getBilledAmount();
	  public String getPaidAmount();
	
}
