/*
 * $Id: AgingSumPreparer.java,v 1.8 2010/01/07 14:50:31 vhahacnguyes Exp $
 */
package gov.va.med.fee.report.jasper;

import gov.va.med.fee.report.Criteria;

import java.util.Map;

/**
 * The Class AgingSumPreparer.
 */
public final class AgingSumPreparer extends Preparer {

    /**
    * {@inheritDoc}
    */
    @Override
    @SuppressWarnings("unchecked")
    public void prepare(final Criteria c) {
        Map params = getParams();

        prepareServiceTypeParam(c);
        prepareDateRangeParam(c);
        prepareClaimStatus(c);
        prepareProjectClause(c);
        prepareFacilities(c);
    }

    /**
    * {@inheritDoc}
    */
    public String getTemplateName() {
        return "AgingSummary";
    }
}
