/*
 * $Id: OutOfSysPreparer.java,v 1.7 2010/01/07 14:50:31 vhahacnguyes Exp $
 */
package gov.va.med.fee.report.jasper;

import gov.va.med.fee.report.Criteria;

import java.util.Map;

/**
 * Prepares parameters for the Out of System Payment report.
 */
public final class OutOfSysPreparer extends Preparer {

    /**
    * {@inheritDoc}
    */
    public String getTemplateName() {
        return "OutOfSys";
    }

    /**
    * {@inheritDoc}
    */
    @Override
    @SuppressWarnings("unchecked")
    public void prepare(final Criteria c) {
        Map params = getParams();

        prepareServiceTypeParam(c);
        prepareDateRangeParam(c);
        prepareLimitRowParam(c);
        prepareOrderByParam(c);
        prepareProjectClause(c);
        prepareFacilities(c);
    }
}
