/** $Id: PrivacyRestrictions.java,v 1.1 2009/09/11 23:05:59 vhahacdoansc Exp $ */
package gov.va.med.fee.tool;

import gov.va.med.domain.fee.PrivacyToPerson;

import java.util.List;
import java.util.Set;
import javax.ejb.Local;
import javax.faces.component.UIComponent;
import javax.faces.context.FacesContext;

/**
 * This class acts as a transport object for User search form for
 * the user administration beans.
 * 
 * @author vhahacdoansc
 *
 */
@Local
public interface PrivacyRestrictions {
   
    void setSsnToAdd(String ssnToAdd);
    String getSsnToAdd();
    void setNtNameToAdd(String ntNameToAdd);
    String getNtNameToAdd();
    void setTypeToAdd(String typeToAdd);
    String getTypeToAdd();
    void setReasonToAdd(String reasonToAdd);
    String getReasonToAdd();
    List<PrivacyToPerson> getAllRestrictions();
    
    String delete(int privacyRequestId);    
    String addPrivacyRestriction();
    
    void validateTextAreaLength(FacesContext context, UIComponent component, Object obj);
}
