/** $Id: User.java,v 1.4 2009/09/01 22:46:31 vhahacmagdua Exp $ */
package gov.va.med.fee.tool;

import static org.jboss.seam.ScopeType.SESSION;
import static org.jboss.seam.ScopeType.EVENT;
import gov.va.med.domain.fee.AppUser;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

import org.hibernate.validator.Email;
import org.jboss.seam.annotations.Name;
import org.jboss.seam.annotations.Role;
import org.jboss.seam.annotations.Roles;



/**
 * 
 * This class acts wraps the AppUser class with
 * Seam annotations for the UserAdmin page.
 *
 */
@SuppressWarnings("serial")
@Name("user")
@Roles({ @Role(name = "edit", scope = EVENT), 
          @Role(name = "search", scope = SESSION) })
public class User extends AppUser implements Serializable {

   /**
    * {@inheritDoc}
    */
   @Email
   @Override
   public final String getEmailAddress() {
      return super.getEmailAddress();
   }

   /**
    * {@inheritDoc}
    */
   @Override
   public final void setEmailAddress(String emailAddress) {
      super.setEmailAddress(emailAddress);
   }
   
   
   /**
    * Returns a list of string indicating facility - roles.
    *  
    * @return a list of roles and facilities for a given user.
    */
   public final List<String> getRolesFacilities() {
      //TODO: implement method
      List<String> retVal = new ArrayList<String>();
      return retVal;
   }

}
