package gov.va.med.fee.report;

/**
 * The Class DateEntry.
 */
public final class DateEntry {

    /** The date value. */
    @ReportDate
    private DateValue dateValue;

    /**
    * Gets the date value.
    *
    * @return the date value
    */
    public DateValue getDateValue() {
        return dateValue;
    }

    /**
    * Sets the date value.
    *
    * @param dateValue
    *            the new date value
    */
    public void setDateValue(final DateValue dateValue) {
        this.dateValue = dateValue;
    }
}
